package com.gic.haoban.manage.web.controller.moment;

import com.gic.api.base.commons.Page;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.haoban.manage.api.service.moment.QwMomentApiService;
import com.gic.haoban.manage.web.qo.moment.PlanClerkListQO;
import com.gic.haoban.manage.web.qo.moment.PlanListQO;
import com.gic.haoban.manage.web.vo.moment.PlanClerkListVO;
import com.gic.haoban.manage.web.vo.moment.PlanDetailVO;
import com.gic.haoban.manage.web.vo.moment.PlanListVO;
import com.gic.haoban.manage.web.vo.moment.TaskMaterialVO;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import java.util.*;

/**
 * 企微朋友圈 - 好办小程序
 */
@RestController
@RequestMapping("/qw-moment")
public class QwMomentController {

    private static Logger logger = LogManager.getLogger(QwMomentController.class);

    @Autowired
    private QwMomentApiService qwMomentApiService ;

    /**
     * 获取任务数
     */
    @RequestMapping("get-task-num")
    @ResponseBody
    public RestResponse<Integer> getTaskNum(String wxEnterpriseId , String enterpriseId , String storeId , String clerkId , String staffId) {
        return RestResponse.successResult(0) ;
    }

    /**
     * 活动列表
     */
    @RequestMapping("plan-list")
    public RestResponse<Page<PlanListVO>> planList(@RequestBody PlanListQO qo) {
        return null ;
    }

    /**
     * 活动任务-导购列表
     */
    @RequestMapping("task-list")
    public RestResponse<Page<PlanClerkListVO>> taskList(@RequestBody PlanClerkListQO qo) {
        return null ;
    }

    /**
     * 活动任务详情
     */
    @RequestMapping("detail")
    public RestResponse<Page<PlanDetailVO>> detail(Long planId , String execClerkId) {
        return null ;
    }

    /**
     * 素材列表
     */
    @RequestMapping("material-list")
    public RestResponse<List<TaskMaterialVO>> getTaskMaterial(Long planId) {
        return null ;
    }

    /**
     * 完成企微群饭任务
     */
    @RequestMapping("finish-moment-task")
    @ResponseBody
    public RestResponse<Void> finishTask(Long planId , String wxEnterpriseId , String enterpriseId , String storeId , String clerkId , String staffId) {
        logger.info("完成任务={}") ;
        return null ;
    }

}
